CWE
416 362
Advisory Published
Updated

CVE-2023-33288: Use After Free

First published: Mon May 22 2023(Updated: )

An issue was discovered in the Linux kernel before 6.2.9. A use-after-free was found in bq24190_remove in drivers/power/supply/bq24190_charger.c. It could allow a local attacker to crash the system due to a race condition.

Credit: cve@mitre.org cve@mitre.org

Affected SoftwareAffected VersionHow to fix
Linux Linux kernel<6.2.9
ubuntu/linux<5.15.0-79.86
5.15.0-79.86
ubuntu/linux<6.2.0-23.23
6.2.0-23.23
ubuntu/linux<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-allwinner<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-allwinner-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws<5.15.0-1042.47
5.15.0-1042.47
ubuntu/linux-aws<6.2.0-1005.5
6.2.0-1005.5
ubuntu/linux-aws<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-5.0<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-5.15<5.15.0-1041.46~20.04.1
5.15.0-1041.46~20.04.1
ubuntu/linux-aws-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-fips<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-aws-hwe<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure<6.2.0-1005.5
6.2.0-1005.5
ubuntu/linux-azure<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-4.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-edge<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-fde<5.15.0-1044.51.1
5.15.0-1044.51.1
ubuntu/linux-azure-fde<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-fde-5.15<5.15.0-1043.50~20.04.1.1
5.15.0-1043.50~20.04.1.1
ubuntu/linux-azure-fde-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-fde-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-azure-fips<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-bluefield<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-dell300x<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-fips<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp<5.15.0-1039.47
5.15.0-1039.47
ubuntu/linux-gcp<6.2.0-1007.7
6.2.0-1007.7
ubuntu/linux-gcp<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-4.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-5.15<5.15.0-1039.47~20.04.1
5.15.0-1039.47~20.04.1
ubuntu/linux-gcp-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gcp-fips<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gke<5.15.0-1039.44
5.15.0-1039.44
ubuntu/linux-gke<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gke-4.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gke-5.0<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gke-5.15<5.15.0-1039.44~20.04.1
5.15.0-1039.44~20.04.1
ubuntu/linux-gke-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gke-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gkeop<5.15.0-1025.30
5.15.0-1025.30
ubuntu/linux-gkeop<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gkeop-5.15<5.15.0-1025.30~20.04.1
5.15.0-1025.30~20.04.1
ubuntu/linux-gkeop-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-gkeop-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-hwe<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-hwe-5.15<5.15.0-79.86~20.04.2
5.15.0-79.86~20.04.2
ubuntu/linux-hwe-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-hwe-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-hwe-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-hwe-edge<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-ibm<5.15.0-1035.38
5.15.0-1035.38
ubuntu/linux-ibm<6.2.0-1003.3
6.2.0-1003.3
ubuntu/linux-ibm<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-ibm-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-ibm-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-intel<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-intel-5.13<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-intel-iotg<5.15.0-1037.42
5.15.0-1037.42
ubuntu/linux-intel-iotg<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-intel-iotg-5.15<5.15.0-1037.42~20.04.1
5.15.0-1037.42~20.04.1
ubuntu/linux-intel-iotg-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-iot<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-kvm<5.15.0-1039.44
5.15.0-1039.44
ubuntu/linux-kvm<6.2.0-1006.6
6.2.0-1006.6
ubuntu/linux-kvm<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-laptop<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-lowlatency<5.15.0-79.88
5.15.0-79.88
ubuntu/linux-lowlatency<6.2.0-1005.5
6.2.0-1005.5
ubuntu/linux-lowlatency<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-lowlatency-hwe-5.15<5.15.0-79.88~20.04.1
5.15.0-79.88~20.04.1
ubuntu/linux-lowlatency-hwe-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-lowlatency-hwe-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-lowlatency-hwe-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-lts-xenial<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-nvidia<5.15.0-1030.30
5.15.0-1030.30
ubuntu/linux-nvidia<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-nvidia-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-5.10<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-5.14<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-5.17<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-5.6<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-6.0<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-6.1<6.1.0-1009.9
6.1.0-1009.9
ubuntu/linux-oem-6.1<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-6.8<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oem-osp1<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle<5.15.0-1040.46
5.15.0-1040.46
ubuntu/linux-oracle<6.2.0-1005.5
6.2.0-1005.5
ubuntu/linux-oracle<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle-5.0<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle-5.13<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle-5.15<5.15.0-1040.46~20.04.1
5.15.0-1040.46~20.04.1
ubuntu/linux-oracle-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-oracle-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-raspi<5.15.0-1035.38
5.15.0-1035.38
ubuntu/linux-raspi<6.2.0-1006.8
6.2.0-1006.8
ubuntu/linux-raspi<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-raspi-5.4<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-raspi2<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-riscv<6.2.0-23.23.1
6.2.0-23.23.1
ubuntu/linux-riscv<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-riscv-5.15<5.15.0-1038.42~20.04.2
5.15.0-1038.42~20.04.2
ubuntu/linux-riscv-5.15<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-riscv-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-snapdragon<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-starfive<6.2.0-1002.2
6.2.0-1002.2
ubuntu/linux-starfive<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-starfive-5.19<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-starfive-6.5<6.3~<5.15.105
6.3~
5.15.105
ubuntu/linux-xilinx-zynqmp<5.15.0-1025.29
5.15.0-1025.29
ubuntu/linux-xilinx-zynqmp<6.3~<5.15.105
6.3~
5.15.105
debian/linux
5.10.218-1
5.10.221-1
6.1.94-1
6.1.99-1
6.9.8-1
6.9.9-1

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Parent vulnerabilities

(Appears in the following advisories)

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203